Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class Provider

    java.lang.Object
      com.nortel.soa.oi.cct.types.Provider

    public class Provider

extends java.lang.Object

Java class for provider complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="provider">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="providerName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`Provider()`
`Provider(java.lang.String providerName)`

Method Summary
`java.lang.String` | `getProviderName()` Gets the value of the providerName property.
`void` | `setProviderName(java.lang.String value)` Sets the value of the providerName property.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Provider

    public Provider()

### Provider

    public Provider(java.lang.String providerName)

Method Detail

### getProviderName

    public java.lang.String getProviderName()

  Gets the value of the providerName property.

  Returns:
    possible object is `String`

### setProviderName

    public void setProviderName(java.lang.String value)

  Sets the value of the providerName property.

  Parameters:
    `value` - allowed object is `String`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.